#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-filters

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build
	set -e; \
	for loc in django_filters/locale/*; do \
		test -r $$loc/LC_MESSAGES/django.po &&\
			python3 setup.py compile_catalog --directory django_filters/locale/ --locale $$(basename $$loc) --domain django; \
	done

.PHONY: override_dh_auto_test
override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} ./runtests.py"

override_dh_clean:
	rm -rf docs/.build
	dh_clean
